Subject: Re: linux-next: build failure after merge of the tip tree

From: Peter Zijlstra <[email-masked]>
Date: Mon, 24 Nov 2025 15:35:37 +0100

On Tue, Nov 25, 2025 at 01:03:51AM +1100, Stephen Rothwell wrote:
> Hi Peter,
> 
> On Mon, 24 Nov 2025 13:32:49 +0100 Peter Zijlstra <[email-masked]> wrote:
> >
> > Rust :/
> > 
> > So I have:
> > 
> > $ make O=tmp-build LLVM=-22 allmodconfig
> > $ make O=tmp-build LLVM=-22 rustavailable
> > Rust is available!
> > $ grep -e CONFIG_RUST= -e CONFIG_NOVA= tmp-build/.config
> > $
> > 
> > Help ?!?
> 
> Have you read Documentation/rust/quick-start.rst?  

At some point in the past... I just did again, and updated the relevant
packages and rustavailable is still green, but allmodconfig is still not
giving me rust.

I'm on Debian Testing.